### Method

# Gsk GLShader get_arg_uint

deprecated: 4.16

#### Declaration [src]

    guint32
    gsk_gl_shader_get_arg_uint (
      GskGLShader* shader,
      GBytes* args,
      int idx
    )

#### Description [src]

Gets the value of the uniform `idx` in the `args` block.

The uniform must be of uint type.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Parameters

`args`

  Type: `GBytes`

  Uniform arguments.

  The data is owned by the caller of the method.

`idx`

  Type: `int`

  Index of the uniform.

#### Return value

Type: `guint32`

The value.